/* 
 * File:   IOBuffer.h
 * Author: jm879326
 *
 * Created on February 26, 2015, 12:53 PM
 */

#ifndef BIOBUFFER_H
#define	BIOBUFFER_H

#include <stdlib.h>
#include <unistd.h>

typedef unsigned char BYTE;
class BIOBuffer {
public:
    virtual BYTE* getHeadPtr() = 0;
    virtual int peekData(BYTE *copybuf, unsigned int length) = 0;
    virtual int  readData(BYTE *copybuf, unsigned int length) = 0;
    virtual bool pushData(const BYTE *refbuf, unsigned int length, BYTE **buffer_position = NULL) = 0;
    virtual bool IsEmpty() = 0;
};

#endif	/* BIOBUFFER_H */

