/*
 * GTI (Generic Tool Infrastructure)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2010-2015
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2010-2015
 * Copyright (C) RWTH Aachen University, Federal Republic of Germany, 2013-2015
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file Printable.cpp
 * 		@see gti::weaver::Printable
 *
 * @author Tobias Hilbrich
 * @date 13.07.2010
 */

#include "Printable.h"

using namespace gti;
using namespace gti::weaver;

//=============================
// operator <<
//=============================
std::ostream& gti::weaver::operator << (std::ostream& out, const Printable& p)
{
	return p.print (out);
}
